class iaas::role::rhmk(
    $percona_master = false,
    $mongo_master = false,
    $mongo_bootstrap = false,
    $keepalived_priority = 100,
    $keepalived_state = 'BACKUP',
    $haproxy_percona_servers = undef,
    $mysql_users = undef,
    $mysql_databases = undef,
    $mysql_grants = undef,
    $mysql_node_ip = undef,
    $haproxy_controller_hosts = undef,
    $haproxy_controller_ips = undef,
    $main_address = undef,
    $admin_address = undef,
    $rabbit_hostname = undef,
    $zookeeper_id = undef,
  ) {
  # Base
  class { 'iaas::profile::base': } ->
  class { 'iaas::profile::database':
    percona_master	 => $percona_master,
    mysql_users		 => $mysql_users,
    mysql_databases 	 => $mysql_databases,
    mysql_grants	 => $mysql_grants,
    node_ip		 => $mysql_node_ip,
  }-> 
  class { 'iaas::profile::haproxy':
    percona_servers    => $haproxy_percona_servers,
    controller_hosts   => $haproxy_controller_hosts,
    controller_ips     => $haproxy_controller_ips,
    main_address       => $main_address,
    admin_address      => $admin_address,
  }
  class { 'iaas::profile::keepalived':
    state	 => $keepalived_state,
    priority 	=> $keepalived_priority,
  }
  class { 'iaas::profile::rabbitmq': 
    node_hostname => $rabbit_hostname,
  } 
  class { 'iaas::profile::zookeeper':
    zookeeper_id => $zookeeper_id
  }
  class { 'iaas::profile::mongodb':
    master      => $mongo_master,
    bootstrap   => $mongo_bootstrap,
   } 
}
